<?php

include 'database.php';

class Usuariosced extends DataBase{
    
    public function __construct() {
        parent::__construct();
    }
    
    public function buscar($usuario){
        $_SESSION['datos'] = array();
        $sth = $this->prepare('SELECT * FROM clientes WHERE numerodocumento LIKE "%'.$usuario.'%" ORDER BY nombre');
        $sth->execute();
        $result = $sth->fetchAll();
        
        foreach ($result as $key => $value) {
            $_SESSION['datos'][] = array("value" => $value['nombre'],
                "idUsuario" => $value['numerodocumento'],
                "establecimientoUsuario" => $value['apellido'],
                "ciudadUsuario" => $value['ciudad'],
                "direccionUsuario" => $value['direccion'],
                "telefonoUsuario" => $value['telefono'],
                "celularUsuario" => $value['celular'],
                "correoUsuario" => $value['correo']);
        }
        
        return $_SESSION['datos'];
        
    }
    
}


